import appModuleHandler
from _vswindows import *

class AppModule(appModuleHandler.AppModule):
	def chooseNVDAObjectOverlayClasses(self,obj,clsList):
		if obj.windowClassName=="VsTextEditPane":
			clsList.insert(0,VsTextEditPane)
		elif obj.windowClassName=="MsoCommandBarPopup":
			clsList.insert(0,MsoCommandBarPopup)

	def script_reportStatusLine(self,gesture):
		"""Status bar content is in value, so we need to redefine this."""
		obj=api.getStatusBar()
		api.setNavigatorObject(obj)
		text=obj.value
		if scriptHandler.getLastScriptRepeatCount()==0:
			ui.message(text)
		else:
			speech.speakSpelling(text)

	def script_title(self,gesture):
		title=api.getFocusObject().name
		repeatCount=scriptHandler.getLastScriptRepeatCount()
		if repeatCount==0:
			ui.message(title)
		elif repeatCount==1:
			speech.speakSpelling(title)
		else:
			if api.copyToClip(title):
				ui.message(_("%s copied to clipboard")%title)

	__gestures={
		"kb(desktop):nvda+end":"reportStatusLine",
		"kb(desktop):nvda+t":"title",
	}
